class FilesForRequest
  def initialize(video)
    @video = video
  end

  def start_timecode_offset
  end

  def file_object_name
    video.file.key if video.file.attached?
  end

  def edl_file_object_name
    video.edl_file.key if video.edl_file.attached?
  end

  def aws_bucket_name
    ENV["AWS_BUCKET"]
  end

  def job_id
    video.analysis_uid
  end

  private

  attr_reader :video
end
